Bug 332241 - TB8e4e6eb3 sqlitesack.py:233:close:AttributeError: pkgobjlist
Summary: TB8e4e6eb3 sqlitesack.py:233:close:AttributeError: pkgobjlist
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
(Show other bugs)
Version: 8
Hardware: i386 Linux
low
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-15 13:19 UTC by John Allen
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 14:49:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback (2.92 KB, application/octet-stream)
2007-10-15 13:19 UTC, John Allen
no flags Details

Description John Allen 2007-10-15 13:19:27 UTC
Description of problem:
Pirut/YUM is broken making it impossible to add/update/delete ANYTHING.

Version-Release number of selected component (if applicable): ?
Updated pirut using the "yum update pirut" 
1 update was applied.

How reproducible:
Easy

Steps to Reproduce:
1. Run Pirut or yum
 
Actual results:
First time run the error message:
TB8e4e6eb3 sqlitesack.py:233:close:AttributeError: pkgobjlist
is displayed.
subsequent runs the following message is displayed when running from GUI:
Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please
verify its path and try again

Expected results:
pirut applies updates.

Additional info:
First run after updating pirut, a dialog opened requesting the install "CD 1" (i
installed from a DVD" 
inserted DVD in drive and replied "OK" 
Dialog opens showing a list of repositories with checkboxes.
left at default and replied "OK"
system crashed as above.


Checked repository data and found that all repository data is missing. 
Adding data manually does not make any difference.

Comment 1 John Allen 2007-10-15 13:19:27 UTC
Created attachment 227661 [details]
traceback

Comment 2 Jeremy Katz 2007-10-16 18:06:30 UTC
What versions of pirut and yum do you have installed?

Comment 3 Jeremy Katz 2007-12-31 14:49:43 UTC
Closing due to inactivity.  If you have further information to add to this
report, please either reopen the bug or file a new one.  


Note You need to log in before you can comment on or make changes to this bug.